Welcome
Top Next

sam Welcome to Samurize

Samurize is an system monitoring application for Win2K/WinXP, that can display information about your system
right on your desktop or as an Explorer TaskBand Plugin(a TaskBar Toolbar).

Samurize integration with NT PerfMons gives an unparalleled flexibility in displaying a wide array of information
about your system while using as little resources as possible.

Also, Samurize has the ability to display information as Histograms, Graphs, Progress Bars or Text.


Information
Previous Top Next

Short description:
Samurize is the successor to the quite popular program CureInfo. It is a system monitoring utility with
awsome configuration power. The configuration program is totally separated from the client for minimal
memory usage. For the moment Samurize is in beta state. This means: Bugs can and does exist, all
optimitions have not yet been done. This is just a version to give you an idea of what's coming.

The program it self displays almost any kind of information right on your desktop/taskbar and
homepage (server/taskbar version is in production).

Main features already implemented:
* A superb configuration tool
* Low CPU usage (<1% on Celeron 633)
* Per pixel alpha blending (text and graphs is actually AA'd against your desktop)
* Any perfmon object (a few 100 meters)
* Script support (javascript/vbscript, ie make your own meters with ease)
* Full memory monitoring (physical/virtual/swap)
* Drive monitoring (network/fixed)
* Laptop support (battery level etc)
* Uptime
* Date / Time
* Winamp (song playing)
* Full MBM support (any sensor, requires MotherBoard Monitor installed)
* Click through (work right through your meters)
* Always on top
* Pin to desktop
* Nice looking borders
* Unlimited number of graphs/meters

Requirements:
* Geforce 1 or better (needed to for hardware supported per pixel alpha blending)
* Win2k/WinXP

Other:
Thanks to SweetFish for doing this excellent homepage.
Thanks to the betatesters @ sweclockers.com (list will soon be published)


Version History

Version:
0.57 Beta Release
Changes:
* Progressbar buggfix

Version:
0.56 Beta Release
Changes:
* Buggfixes

Version:
0.55 Beta Release
Changes:
* Toolbar Alignment
* Remember settings in Config Application
* Inherit Previous Graphic Area Properties (Config)
* Lots of buggfixes
* MBM Now working 100% (No memory leak)
* Pause Button now works properly
* Help file
* Pause Button added to Toolbar
* Graphic Area Flashing Eliminated

Version:
0.51 Beta Release
Changes:
* Minor Buggfix (Progressbar on Taskbar)

Version:
0.50 Beta Release
Changes:
* Major Internal Changes (Thread Handling Rewritten)
* ToolBarClient Added
* Menu Shortcut for Config.exe
* Support for Mbm 5.1.9.1
* This version should be much more responsive and stable

Version:
0.40 Alpha Release
Changes:
* ActiveScript Memory BugFix
* ShowDesktop-bug BugFix
* HideInActive Icon BugFix
* Mail POP3-Support Added
* ProgressMeter-DrawingType Added
* LOTS of internal Bugfixes and Changes
* More Responsive
* Better Border Control
* ExampleFile Included
* AlertColor-Alpha added

Version:
0.35b Alpha Release
Changes:
* ActiveScript Timeout Bugfix

Version:
0.35 Alpha Release
Changes:
* Added File Reading Support
* Added Dialog when Exiting Program
* ActiveScript Bugfixes
* Perfmon Bugfixes
* Lots of Minor Bugfixes

Version:
0.34 1st Public Release
Changes:
* Added "Edit Config..." to Client
* Added Histogram Support
* A few bugfixes

Version:
0.33 Alpha SweC Realease
Changes:
* Perfmon Fix
* ClickTrough Fix
* RenderText Fix
* Draw OutSide Graph Fix
* Winamp Support Fix
* Removed GetIP() ActiveScript due to MemoryLeak

Version:
0.32 Alpha SweC Realease
Changes:
* Loads of Optimations
* Takes about half the Memory Usage compared to v0.24
* AlertValue added
* Border added
* MotherBoardMonitor full support
* ActiveScript support (.vbs, .js)
* Faster loading time
* All(?) memory leaks fixed
* A few GUI enhancements
* More stable, loads of buggfixes
* A few new options in the Client menu.

Version:
0.24 Alpha SweC Realease
Changes:
Initial realease.


Upgrading Issues

In order to upgrade successfully, you might need to reboot to replace the Toolbar Client Dll file
which is currently in use by the explorer.exe process.

Tip for advanced users: You can avoid rebooting by killing explorer.exe before running the
Samurize setup.


QuickStart Tutorial

Here is how you can get started with Samurize quickly:

1. Start the Config Editor.
2. Click Add Graphic Area, Graphic Areas are "containers" in which u add meters.
3. In the "Graphic Area Settings" tab, set the update time, background color and alpha blending desired.
4. In the "Meter List" tab, click "Add Meter" choose the kind of meter you would like to use.
5. The meter will appear in the list, on the right-side, start setting the its properties as desired.
6. Keep adding meters until you are satisfied.

Now, Save Your config and start the Desktop Client. Right click the SysTray icon and select the config
you just did, and your done.


Overview

The Desktop Client displays your configuration file on your desktop, by right-clicking the
Tray Icon you are presented with the following menu:

· Select Config File: Choose which Config file you would like to display, the Config files are stored in the \Configs
sub-dir of the folder where you installed Samurize, by default "C:\Program Files\Samurize\Configs"

· Reload Config: After making changes to your config file using the Configuration Editor, use this item to Reload/Refresh your config.

· Edit ConfigFile...: Edit the config file currently being used directly in the Configuration Editor.

· Position:
- Always On Top: Makes Samurize display on top of all other windows.
- Pin to Desktop: Makes Samurize window unmovable from its current position on the desktop.
- Normal Window Behaviour: Makes Samurize display act as a regular window, allowing you to drag it and move it around the desktop.
- Locked Position: Locks Samurize display to where its currently is on the desktop.
- Click Through: Allows mouse clicks to go right through Samurize display and trigger on desktop items behind it.
- Use Designed Position: Makes the Client to display the config using the coordinates specified in the Configuration Editor.

· Pause: Stops Samurize from updating its display.

· About: Displays information about the current version of the Samurize Client.

· Exit: Terminates the Samurize Client.


Overview

The TaskBand Client displays your configuration file as an explorer.exe ToolBar/TaskBand.

To activate the Samurize ToolBar, simply right-click on an empty area of your TaskBar, then choose "Toolbars > Samurize Band",
then by right-clicking the Samurize ToolBar you are presented with the following menu:

· Select Config File: Choose which Config file you would like to display, the Config files are stored in the \Configs
sub-dir of the folder where you installed Samurize, by default "C:\Program Files\Samurize\Configs".

· Reload Config: After making changes to your config file using the Configuration Editor, use this item to Reload/Refresh your config.

· Edit ConfigFile...: Edit the config file currently being used directly in the Configuration Editor.

· About: Displays information about the current version of the Samurize TaskBand Client.


Overview

The Configuration Editor is used to design config files to be later used with the Desktop Client or the TaskBand Client.

Designing a configuration file consists of creating Graphic Areas then adding Meters of various kinds inside those Graphic Areas.

· Add Graphic Area: Adds a graphic area inside which you can add meters.

· Del Graphic Area: Removes the currently selected graphic area.

· Snap To Grid: Control the increments(in pixels) in which graphic areas move while dragging them with your mouse.

· Zoom: At the far-right you can use a drop-down menu to zoom in or out.

Tip: You can use the keyboard shortcut Ctrl+S to quickly save your work.


Project Options

The Project Options tab allows you to setup your working environment.

· Use Bitmap Background: This option applies either a BMP or JPG image as the background you work against inside the Editor, for example
you can use your desktop wallpaper. This way you are able to predict how things will fit with your wallpaper while designing a config.

- You can also take a screenshot of your current desktop and use it as the background image.

· Design Color: Change the design area background color inside the Configuration Editor.


Graphic Area Settings

The Graphic Area Settings tab is used to setup the properties of graph areas.

· History Length: Sets how long back to remember the meter's reading data for this graph area, for example if you have an Update
Time of 1000ms and a History Length of 60 then the meter data will be displayed for the past 1 minute(60 seconds).

· Background Color: Sets the graph area background color.

· Alpha Blending: Sets the transparency of the background color, where 255 = solid color and 0 = completely transparent.

· Low Graphic Bound (Y-Axis): Sets the lower limit for which the graph area will display values.

· High Graphic Bound (Y-Axis): Sets the upper limit for which the graph area will display values.

- To better understand Low and High graph area bounds, consider this example, you are planning to display a histogram of cpu
activity inside this graph area, the cpu activity value is in percentage, in which case you should set the low graph bound to 0
(the lowest possible percentage) and the high bound to 100(the highest possible percentage).

· Update Time: Sets how often the meters inside the graph area update their values, the setting is in mili-seconds, 1 second = 1000 ms.

· Use Border:
- Top, Bottom, Left and Right: The border you would like to apply the settings to.
- Color: Sets the color of each border.
- Alpha Blending: Sets the transparency of the border color, where 255 = solid color and 0 = completely transparent.


Meter List

The Meter List tab is used to add various kinds of meters to a graph area.

· Copy, Paste & Delete: Lets you copy/move or remove meters between different graph areas.

· Up & Down: Manipulates the order in which meters are displayed within the active graph area,
first being the bottom-most and last being top-most.
- Example: to have a Text meter display ontop of a Histogram, make sure the Text meter is Below the Histogram meter in the list.

Standard Tasks, Add Meter:
This is where you add meters to your graph area, the following kinds are available:
· Text: A simple text label.
- Additional Text: Enter the text you would like displayed here.
· PerfMon: A variety of performance meters.
- Local OR From Computer: Choose which computer to pull the data from, you can pull data from other machines on your Network.
- Performance Object: Categories of PerfMon meters.
- Select Counters From List: The individual counters available within a category. Highlight anyone then
click on "Explain" to read a summary of what the counter does.
· Memory: Stats about your system memory.
- Memory Properties: Choose the type, kind of value(Free/Used/Total) and unit desired.
· Date/Time: Displays the Date and Time in a custom format.
- Refer to the Date & Time Formatting Guide for more information.
· UpTime: How long the OS been running.
- Uptime Properties, Format: Controls how the UpTime is displayed. You can add your own text around the following variables:
%d = Days, %h = Hours, %m = Minutes, %s = Seconds
· Winamp: The currently playing song title in Winamp.
- Additional Text: Add any custom text here, %v represents the song title.
· MBM: Displays info from MotherBoard Monitor sensors.
- Mother Board Monitor Properties, Sensor: Select the Sensor number you would like to display.
· Active Script: Displays Info gathered by a VBS or JS script, scripts should be in the \Scripts\
sub-folder of the folder in which you installed Samurize. Default path would be "C:\Program Files\Samurize\Scripts"
- Active Script Properties, Select Script: Choose the script filename.
- Function: Choose the function desired from the selected script.
- Run every X Min: How often to run the script, its advised Not to use less than 3 mins.
- Test Script/Result: Allows you to test the script output and see if its correct.
· Text File: Reads a certain line from a plain text file.
- Text FIle to Read From: Browse for the desired file.
- Read Line nr: The line number to read.
· POP3: Monitors the number of messages on a POP3 email account.
· Laptop Battery: Displays the percentage of charge available in the Battery or its status.
· Plugin: Although No Plugins are available yet, Samurize is built to support third party plugins once development reaches a stable
version and an SDK is released.

Note: Remember to press ENTER after changing the value in any field to save.

Common Properties to All Meters:
· Draw Type:
- Text: Plain Text.
- Graph: A graphical function of the meter value.
- Histogram: A bar graph in which the heights of the bars are proportional to the meter value.
- ProgressBar: A single bar which its height or width represents the meter value.
· Meter Color: The meter display color.
· Alpha Blending: Sets the transparency of the meter color, where 255 = solid color and 0 = completely transparent.
· Enable Alert Value: Allows you to change the meter display color depending on wether its value is over, under or equals a certain digit.
· Select Font: Choose the font desired.
· Additional Text: Customize the output of the meter by entering your own custom text, where %v always represents the meter value.
· Number of Decimals: Sets the meter output to use decimals.
· Text Position X/Y: Sets the position of the meter in pixels relative to container graph area,
where x,y = 0.0 is equivalent to the upper left corner of the graph area.
· Customize Return Value (Unit): Converts the unit in which the meter value is displayed.


Date & Time Formatting Guide

Specifier
Displays

c
date using the format given by the ShortDateFormat global variable,
followed by the time using the format given by the LongTimeFormat
global variable. The time is not displayed if the date-time value indicates midnight precisely.

d
day as a number without a leading zero (1-31).

dd
day as a number with a leading zero (01-31).

ddd
day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.

dddd
day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.

ddddd
date using the format given by the ShortDateFormat global variable.

dddddd
date using the format given by the LongDateFormat global variable.

m
month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mm
month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mmm
month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.

mmmm
month as a full name (January-December) using the strings given by the LongMonthNames global variable.

yy
year as a two-digit number (00-99).

yyyy
year as a four-digit number (0000-9999).

h
hour without a leading zero (0-23).

hh
hour with a leading zero (00-23).

n
minute without a leading zero (0-59).

nn
minute with a leading zero (00-59).

s
second without a leading zero (0-59).

ss
second with a leading zero (00-59).

z
millisecond without a leading zero (0-999).

zzz
millisecond with a leading zero (000-999).

t
time using the format given by the ShortTimeFormat global variable.

tt
time using the format given by the LongTimeFormat global variable.

am/pm
uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/p
uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

ampm
uses the 12-hour clock for the preceding h or hh specifier, and contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.

/
date separator character given by the DateSeparator global variable.

:
time separator character given by the TimeSeparator global variable.

'xx'/"xx"
characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


FAQ

1. What is Samurize?
2. Who are the developers?
3. Who is the website designer?
4. What hardware requirements are needed to run Samurize?
5. Does Samurize support Windows 95/98/Millennium Edition?
6. How can I add the CPU usage perfmon meter in the config editor?
7. How can I add the upload & download speed of my network in the config editor?
8. How much memory does Samurize use, my configuration seems to be using over 15MB?
9. How do I activate new scripts that I have put into the scripts folder?
10. How do I add text file support, I can't seem to find it in the config editor.
11. Why don't my configurations stick once I change them in the config editor?
12. Why do does Samurize "flash" when I overlay graphic areas?
13. How do I use Samurize in a toolbar like cureinfo?
14. Samurize is not working correctly with MBM (Motherboard Monitor) 5.1.9.1
15. I'm having a problem with scripts using Windows 2000, is there a fix?
16. After a while my RAS counters disappear, how do I get them back?
17. How do I show total megabytes downloaded?

Other:

18. How can I become involved with supporting Samurize?
19. I have a question that's not in this FAQ, what should I do?

Q: What is Samurize?

A: Samurize is the successor to the quite popular program CureInfo. It is a system monitoring utility with awesome
configuration power. The configuration program is totally separated from the client for minimal memory usage.
For the moment Samurize is in public beta state.

The program displays almost any kind of information right on your desktop/taskbar and homepage (server/taskbar
version is in production).

Q: Who are the developers?

A: Gustaf "Cure" Lundh and Oscar "Sim" Lundh ( cure@samurize.com / sim@samurize.com )

Q: Who is the website designer?

A: Sven Andersson aka "Sweetfish sweetfish@samurize.com" ( ICQ: 64250303)

Q: What hardware requirements are needed to run Samurize?

A: Microsoft Windows 2000/XP & Geforce 1 or better (needed for hardware supported per pixel alpha blending).
Radeon support is currently being worked on and is hopefully to be released with a future version.
It works with Radeon now, but might cause a little bit higher Cpu-usage.

Q: Does Samurize support Windows 95/98/Millennium Edition?

A: Unfortunately Samurize uses the Windows Performance Counters to gather most of its data, which do not
exist in Windows 9X and Millennium Edition. Also, Windows 9X does not support alpha blending which is needed
for Samurize to display transparent graphic areas.

Q: How can I add the CPU usage perfmon meter in the config editor?

A: Step by step: Go to Meter List> Add Meter> Add PerfMon> Performance object> Processor> % Processor time.

Q: How can I add the upload & download speed of my network in the config editor?

A: Step by step: Go to Meter List> Add Meter> Add PerfMon> Performance object> Network Interface> Bytes Received/sec>
(select your network adapter). If you want to show upload, select Bytes Sent/sec.

Q: How much memory does Samurize use, my configuration seems to be using over 15MB?

A: Normally it should take about 3-4 megs of memory. My guess is that you are using activescripts. This is not the fault of Samurize,
Microsoft's runtimes-libraries takes quite alot of memory. So if you want it to take less memory, skip the ActiveScripts.

.Q: How do I activate new scripts that I have put into the scripts folder?

A: In the config editor, go to the Meter List, Add Meter, Add active script, at the bottom of that tab you'll see Active Script:
Select script & select function to run. once you pick the script you want, it'll give you new options in the select function to run.

Q: How do I add text file support, I can't seem to find it in the config editor.

A: Make sure your running Samurize v0.35b Alpha or a later version, as previous versions did not have this feature.

Q: Why don't my text changes stay once I change them in the config editor?

A: You have to press ENTER after changing a value.

Q: Why do does Samurize "flash" when I overlay graphic areas?

A: Do *not* overlay graphic areas. Samurize was not designed for Overlay-functions. (This due to performance issues).
This would require more CPU resources to make this possible.

Q: How do I use Samurize in a toolbar like cureinfo?

A: Samurize v0.50 and above have added the toolbar option. To use this option Right click on an empty area of your taskbar,
go to the Toolbars submenu and click on "Samurize Band".

Q: Samurize is not working correctly with MBM (Motherboard Monitor) 5.1.9.1

A: Samurize v0.50 and above now support MBM 5.1.9.1.

Q: I'm having a problem with scripts using Windows 2000, is there a fix?

A: Try downloading the Microsoft Windows Script Control update and installing it.

Q: After a while my RAS counters disappear, how do I get them back?

A: What happens is that when a perfmon crashes or doesn't report data for awhile Windows disables it and leaves it disabled.
You will probably find relevant events in your event log. You can view the status of your perfmon and enable/disable them
using the exctrlst.exe tool from MS, its part of Windows 2000 resource kit, you can download it here: (It also works on Windows XP)
http://www.microsoft.com/windows2000/techinfo/reskit/tools/existing/exctrlst-o.asp
You will need to reboot after re-enabling the PerfMons.

Q: How do I show total megabytes downloaded?
A: Native support for total upload/download will be added in a later version.

Other:

Q: How can I become involved with supporting Samurize?

A: Join the forums, post feedback & bug reports.

Q: I have a question that's not in this FAQ, what should I do?

A: If you have questions about Samurize., please ask them in the forums or in some cases you can email
Cure or Sim(cure@samurize.com /sim@samurize.com )
Or if you have questions about the site, you can freely email me, SweetFish onsweetfish@samurize.com

Or if you have a question you think should be in this FAQ contact Mardagg mardagg@samurize.com( ICQ: 1122793)


TroubleShooting

1. I keep receiving Exception Errors when i try to launch the Config Program or when trying to add an Active Script Meter.

2. Suddenly, some of my PerfMons are missing in Samurize Display, and when trying to re-add the PerfMon
meters i cant find them there either!

Q. I keep receiving Exception Errors when i try to launch the Config Program or when trying to add an Active Script Meter.
A. Download and Install this active script component from MS site.

Q. Suddenly, some of my PerfMons are missing in Samurize Display, and when trying to re-add the PerfMon
meters i cant find them there either!
A. This happens when a PerfMon crashes, by default windows Disables the offending PerfMon library and keeps it disabled,
even if you reboot.
To view the list of PerfMons available on your system and enable/disable any of them, you need the exctrlst.exe
tool from w2k resource kit. download exctrlst.exe here.
It works on both w2k and xp systems, and you need to reboot after re-enabling any PerfMons.


Tips

· You can use the keyboard shortcut Ctrl+S to quickly save your work.

· While designing a config, you will notice a rectangle around all your graph areas, if this rectangle is green then
performance should be optimal while if its red then performance might degrade,
try not to spread your config over a very large area.

· Clicking on Samurize icon in the System Tray a single-click with your left mouse button will make
Samurize Disappear/Pause, Clicking it again will return to normal.


Contact
Previous Top

Website: http://www.samurize.com/
Forums: http://www.samurize.com/?page=forums

Samurize Programmers
· Gustaf Lundh aka "Cure"
Founder/Programmer (of the Samurize util.)
Email: cure@samurize.com
ICQ: 18690077
· Oscar Lundh aka "Sim"
Founder/Programmer (of the Samurize util.)
Email: sim@samurize.com
ICQ: 18214860

WebMasters
· Sven Andersson aka "SweetFish"
Founder/Programmer/gfx of the site
Head Webmaster
Email: sweetfish@samurize.com
ICQ: 64250303
· Eric Jonsson aka "bamsefar"
Server/Webhost Admin
Email: bamsefar@samurize.com
ICQ: 125856972

Moderators
· Thomas Backman aka "Jarjar"
IRC Channel Moderator
Email: jarjar@telia.com
ICQ: 41549266

· Anders Karlström aka "thrawn"
Forum Moderator
Email: a.karlstrom@home.se
ICQ: 8245186

· Martin Röcklinger aka "Kloppe"
Forum Moderator
Email: kloppe_02@hotmail.com
ICQ: 134295200

· Robert Budd aka "Mardagg"
Forum Moderator
Email: rbudd76@attbi.com
ICQ: 1122793

· Rowan Gillson aka "D0ktr_EvL"
Scriptforum Moderator
Email: r_gillson@hotmail.com
ICQ: 14895674

Others
· Emil Skoglund aka "res"
General Slave
Email: emil@home.se
ICQ: 7152385

· Mohamed H. Tawfiq aka "pulp"
Help File Maintainer
Email: mhtawfiq@yifan.net